Bug 1426757 - SUI : Left Align Save and Cancel Buttons on all pages in SUI
Summary: SUI : Left Align Save and Cancel Buttons on all pages in SUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 18:56 UTC by Shveta
Modified: 2017-05-31 14:36 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:36:37 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Buttons (61.92 KB, image/png)
2017-02-24 18:56 UTC, Shveta
no flags Details
create catalog (65.85 KB, image/png)
2017-02-27 19:03 UTC, Shveta
no flags Details
create dialog (81.85 KB, image/png)
2017-02-27 19:04 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-02-24 18:56:02 UTC
Created attachment 1257399 [details]
Buttons

Description of problem:


Version-Release number of selected component (if applicable):
5.8.0.2.20170223184827_489bf7c 

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Shveta 2017-02-24 18:56:53 UTC
Steps : Login in SUI and create orchestration template

Comment 3 Allen W 2017-02-27 18:30:24 UTC
Right align does not jive with the UX guidance we have received.

https://github.com/ManageIQ/manageiq-design/blob/master/UX/ui-service/MyOrders/img/Order_05.png
 
https://github.com/ManageIQ/manageiq-design/blob/master/UX/ui-service/MyOrders/design.md

Unless the direction across the board is changing this is not a bug.

Comment 4 Shveta 2017-02-27 19:03:06 UTC
Created attachment 1258183 [details]
create catalog

Comment 5 Shveta 2017-02-27 19:04:12 UTC
Created attachment 1258184 [details]
create dialog

I was thinking that all other create pages have buttons to the right at the bottom so..
But It's fine if not .

Comment 6 Allen W 2017-02-27 19:42:18 UTC
You're so right, catalogs and dialogs are on the right, dialogs aren't even in the correct order, maybe this ticket should pivot to be a make em all the same, on the left?

Comment 7 Shveta 2017-02-27 20:40:31 UTC
Works for me .
Align to the left on all pages .

Comment 10 Serena 2017-02-28 15:35:21 UTC
From a UX perspective, the direction that we want to go in is as follows:

When forms are embedded in a page, buttons are left aligned on the page, the primary action is on the left ( Save, Cancel ) 

If forms are in a modal, buttons are right aligned in the modal, and the primary action is on the right ( Cancel, Save )

This is how PatternFly works, and the direction we want to move towards.  Let me know if you have further questions.

Comment 11 Chris Kacerguis 2017-02-28 15:38:35 UTC
It seems that they have already made a decision.  All mocks in the designs have left alignment.  See:

https://github.com/ManageIQ/manageiq-design/blob/master/UX/ui-service/MyOrders/design.md

https://github.com/ManageIQ/manageiq-design/blob/master/UX/ui-service/Catalogs/design.md

...or yeah, what Serena said.

Comment 12 Allen W 2017-02-28 15:48:00 UTC
SUCH PARTICIPATION!!! Thanks for weighing in all, will continue as originally planned, moving dem actions leftward (but not da modal actions).

Comment 13 Allen W 2017-02-28 19:21:06 UTC
https://www.pivotaltracker.com/story/show/140786941

the pt!

Comment 14 Allen W 2017-02-28 19:21:07 UTC
https://www.pivotaltracker.com/story/show/140786941

the pt!

Comment 15 Allen W 2017-03-01 18:14:11 UTC
check it peeps, https://github.com/ManageIQ/manageiq-ui-service/pull/552

Comment 16 Shveta 2017-03-13 04:48:03 UTC
Left aligned in most pages in 5.8.0.4.20170307183144_745a3d9

Comment 18 errata-xmlrpc 2017-05-31 14:36:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.